#!/usr/bin/env python2.7

# This script counts the number of interactions of each biogrid publication
# Input file should be generated by "extract_pub_id_bg.py"

import sys

def main(argv):
    if len(argv) < 3:
        print "./count_interactions_per_pub [biogrid publication file] [outfile]"
        exit()

    infilename = argv[1]
    outfilename = argv[2]

    pubs = {}

    with open(infilename, "r") as infile:
        for line in infile:
            cols = line.split('\t')
            pub = cols[2][:-1]

            if pub in pubs:
                pubs[pub] += 1
            else:
                pubs[pub] = 1

    outfile = open(outfilename, 'w')

    opubs = []

    for pub in pubs:
        opub = (pubs[pub], pub)
        opubs.append(opub)

    opubs.sort()

    for pub in opubs:
        outfile.write(pub[1])
        outfile.write('\t')
        outfile.write(str(pub[0]))
        outfile.write('\n')

    outfile.close()

if __name__ == "__main__":
    main(sys.argv)